Feisty: usb mouse stops working

Bug #84762 reported by Luis Araujo on 2007-02-12
98
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned
linux-source-2.6.22 (Ubuntu)
Medium
Unassigned

Bug Description

Sometimes USB external mouse stop working. Unplugging and plugging again in other usb it work.

ProblemType: Bug
Date: Mon Feb 12 20:02:27 2007
DistroRelease: Ubuntu 7.04
Uname: Linux zarahemla 2.6.20-6-generic #2 SMP Wed Jan 31 20:53:39 UTC 2007 i686 GNU/Linux

Brian Murray (brian-murray) wrote :

Thanks for your bug report. Could you please add the output of 'lsusb' and 'dmesg' to your bug report? Additionally is your mouse directly connected or do you use a USB hub? Thanks in advance.

Luis Araujo (luisaraujor) wrote :

The mouse is directly connected to my laptop.

My laptop is a Dell Inspiron 510m.

$ lsusb
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 030: ID 045e:007d Microsoft Corp. Notebook Optical Mouse
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000

dmesg:

[11589.912000] usb 2-1: USB disconnect, address 31
[11601.180000] usb 2-1: new low speed USB device using uhci_hcd and address 32
[11601.360000] usb 2-1: configuration #1 chosen from 1 choice
[11601.384000] input: Microsoft Microsoft 3-Button Mouse with IntelliEye? as /class/input/input19
[11601.384000] input: USB HID v1.00 Mouse [Microsoft Microsoft 3-Button Mouse with IntelliEye?] on usb-0000:00:1d.1-1

I have a PDA, and Canon 400D, that I plug too to usb.

Luis Araujo (luisaraujor) wrote :

And when the mouse dose not work, the lsusb is:

Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 030: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000

and the laser is off.

darren (darrenm) wrote :

I have the same issue with my laptop. I have a Microsoft wireless optical desktop keyboard and mouse, only using the mouse. Plugged in via USB it worked fine when Feisty was first installed, now it won't work at all since some updates about 3 days ago. Works fine in Windows on the same laptop.

LukeKendall (luke-zeta) wrote :

The same applies to Edgy. Each day when I return to the computer, the cursor is missing from the display, the mouse has stopped working, and I have to unplug it and replug it for it to be redetected.

Here is some dmesg output, presumably showing the results of me unplugging and replugging a day apart:
[17541562.560000] usb 4-1: USB disconnect, address 4
[17541564.812000] usb 4-1: new low speed USB device using uhci_hcd and address 5
[17541564.984000] usb 4-1: configuration #1 chosen from 1 choice
[17541565.004000] input: Genius NetScroll + Traveler as /class/input/input5
[17541565.004000] input: USB HID v1.10 Mouse [Genius NetScroll + Traveler] on usb-0000:00:10.3-1
[17699294.592000] usb 4-1: USB disconnect, address 5
[17699297.256000] usb 4-1: new low speed USB device using uhci_hcd and address 6
[17699297.432000] usb 4-1: configuration #1 chosen from 1 choice
[17699297.448000] input: Genius NetScroll + Traveler as /class/input/input6
[17699297.448000] input: USB HID v1.10 Mouse [Genius NetScroll + Traveler] on usb-0000:00:10.3-1

The PC is a mini tower system. The USB mouse is plugged straight into a built-in USB port.

Kernel 2.6.17-11-386

luke

LukeKendall (luke-zeta) wrote :

I just noticed this comment on
http://www.macosxhints.com/article.php?story=20061101081125696

"I had the problem of "dead" USB mouse particularly with thin cables and dual CRT monitor setups (Mac, Windows or Linux), and I have this problem still occasionally on any OS (Mac, Windows or Linux).

"It does not occur on the PS2 connection for some PC mice, and it rarely - but also - happens on USB keyboard connections.

"The only OS where I know a real fix - that can be applied in software, on the fly, and right there - is Ubuntu Linux running on my laptop (ASUS A6T). Since it may be possible to apply a similar fix to Mac OS X, I thought it could be interesting in this context. Typically, my external keyboard and the external mouse stop working after a few minutes on my PC running Ubuntu.

"However, this is recognized as a software problem, and the solution is a software solution. The commands are as follows and have to be issued as root:

modprobe -r ohci_hcd

modprobe ohci_hcd no_handshake=1

"After keying in these two commands, the USB immediately turns back on, and it remains unfreezed until the end of that session (until the machine is turned off)."

I haven't had a chance to try this yet, but I'll give it a go. I assume this would be similar to forcing a redetect by physically un/re-plugging the mouse?

luke

darren (darrenm) wrote :

Really strange, mine will just randomly work sometimes after booting, then other times it won't. If it's not working on boot theres nothing I can do to get it to work and I just have to wait for the next random occurence when it will work again. I'll try this modprobing though.

Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team

I have a similar issue here. USB mouse (MS Notebook Optical Mouse) stops working after a while (less than a minute after starting to use it, typically). Unplugging and reconnecting doesn't change anything (Mouse still doesn't work).

When i boot with kernel options "noapic acpi=off" this doesn't happen.

Trying to remove kernel module ohci_hcd with "modprobe -r ohci_hcd" doesn't work (hangs).

photek (jccelaya) wrote :

i have same problem, i have noticed that the buttons do work sometimes even if pointer doesn't respond to movement. using feisty with all upgrades.

photek (jccelaya) wrote :

It still happens for me on 2.6.20-15-27, sometimes it works, sometimes i have to unplug it and plug it in again in the same port, and then it works without problem.

photek (jccelaya) wrote :

Here is my lsusb, mouse it's directly connected to the usb of the motherboard, an ASUS A8N32-SLI Deluxe:

tito@tito:~$ lsusb
Bus 002 Device 005: ID 0424:a700 Standard Microsystems Corp.
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 008: ID 03f0:3a11 Hewlett-Packard OfficeJet 5510
Bus 001 Device 005: ID 05d5:6782 Super Gate Technology Co., Ltd
Bus 001 Device 007: ID 0463:ffff MGE UPS Systems UPS
Bus 001 Device 006: ID 088d:1234
Bus 001 Device 001: ID 0000:0000

I attached the output of dmesg.

tito@tito:~$ uname -a
Linux tito 2.6.20-15-generic #2 SMP Sun Apr 15 06:17:24 UTC 2007 x86_64 GNU/Linux

Please tell me if you need more help in order to solve this issue. I will do my best.

Regards.

Mike (avramti) wrote :

Same problem here. It seems that if I switch to ExplorerPS/2 it won't freeze anymore.

Mike (avramti) wrote :

I think a temporary solution would be to install autofs from synaptics.

coffeemug (coffeemug) wrote :

I have a similar problem, except unplugging and pluggin the mouse back in doesn't work. I observed this problem in Edgy and in Fesity with a single difference. In Edgy I was able to run the following script to restore mouse functionality:

#!/bin/bash
rmmod ohci_hcd
modprobe ohci_hcd

In Feisty running this leaves the mouse frozen and additionally freezes the keyboard.

Here's my lsusb output:

Bus 003 Device 002: ID 1058:0901 Western Digital Technologies, Inc.
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 002: ID 045e:00db Microsoft Corp.
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 003: ID 046d:c506 Logitech, Inc. MX-700 Cordless Mouse Receiver
Bus 001 Device 001: ID 0000:0000

try acpi=force irqpoll as boot options

Changed in linux-source-2.6.20:
assignee: ubuntu-kernel-team → ubuntu-kernel-usb
coffeemug (coffeemug) wrote :

Just tried 'acpi=force irqpoll' as boot. Mouse still freezes after a while.

Works with Debian 2.6.20 kernel

tomfin (tomfin) wrote :

I've got similar problems here and I've noticed some interesting quirks - the buttons and scroll wheel on the USB mouse seem to function, though the cursor isn't moving...

PS/2 Microsoft 2-button mouse and a Genius USB Powerscroll (not optical) mouse have both been connected since a fresh Ubuntu Feisty install earlier today. During install, I tried a few USB mice (all Genius Powerscoll) - one would move vertically, with slight horizontal movement only when wiggling the mouse around randomly. Another mouse gave horizontal movement only, with slight vertical movement when wiggling. I tried these mice with another PC running WinXP - they work fine there - but I've no other Linux systems here to test with.

Things are the same after install and reboot, though I noticed the mouse stopped moving altogether at one point. Strangely, I can use the scollwheel and click the two buttons on the USB mouse, though only the PS/2 mouse can move the pointer.

Is something up with the way the X and Y movements are being fed or read through the USB, perhaps?

'lsusb' reports:-
  Bus 002 Device 002: ID 0458:0018 KYE Systems Corp. (Mouse Systems)

Asrock K7VM2, Duron 1300, 512mb ram, 20gb Maxtor HD, nVidia GeForce FX5200 128mb (using free NV or binary NVIDIA from Add/Remove)

dmesg output on request.

Dianne Reuby (pramclub) wrote :

I'm running Feisty, not on a laptop. I've had intermittent PS2 mouse problems, it throws itself round the screen opening random windows, so yesterday I swapped to a USB mouse, and that seemed OK.

When I booted this morning, I couldn't log in - the cursor was flashing in the username box, but nothing happened when I typed, F10 didn't do anything. I rebooted, and got the same, but with no mouse either. Tried XP, forgot until I was half way through loading that the keyboard was OK up until the GUI loaded, otherwise I wouldn't have been able to choose an OS!

Put my old PS2 mouse on, went back to Feisty, and during boot got "Superblock last mount time is in the future. FIXED", then "FSCK died Exit Status 1". However the keyboard let me log in.

Rebooting when I haven't used a USB mouse gives no errors. Rebooting after I've had (any) USB mouse gives those problems - Superblock fixed, FSCK died, can't log in. I'm using a USB hub.

jonie (jonie) wrote :

I can confirm that similar bug appears also in Edgy. It happens say, once in about ten boots, the USB mouse is not re-enabled during USB controller initialization. USB hub in question remains powered down until next boot. USB ports on other hubs/controllers continue to function. What might give a hint is that the same mouse connected to a controller that is limited to 1.1 speed functions correctly. The error is also independent on mouse type / brand, it will do that the mouse operates at 2.0 speed.

Brian Murray (brian-murray) wrote :

jonie - Edgy uses the 2.6.17 kernel while this bug is about the 2.6.20 kernel. Please submit a bug report about linux-source-2.6.17.

David Meier (droebbel-melta) wrote :

I can confirm such a problem: USB mouse freezes randomly. No hint in dmesg at that time. After unplugging, the following appears:

[ 1452.009000] usb usb2: usb auto-resume
[ 1452.009000] usb usb2: finish resume
[ 1452.010000] hub 2-0:1.0: hub_resume
[ 1452.010000] ehci_hcd 0000:00:02.1: resume root hub
[ 1452.022000] hub 2-0:1.0: state 7 ports 10 chg 0000 evt 0000
[ 1452.022000] usb 2-10: usb auto-resume
[ 1452.048000] ehci_hcd 0000:00:02.1: GetStatus port 10 status 001005 POWER sig=se0 PE CONNECT
[ 1452.059000] usb 2-10: finish resume
[ 1452.059000] hub 2-10:1.0: hub_resume
[ 1452.059000] ehci_hcd 0000:00:02.1: reused qh dd04e100 schedule
[ 1452.059000] usb 2-10: link qh256-0001/dd04e100 start 255 [1/0 us]
[ 1452.060000] hub 2-10:1.0: state 7 ports 4 chg 0000 evt 0000
[ 1454.061000] hub 2-10:1.0: hub_suspend
[ 1454.061000] usb 2-10: unlink qh256-0001/dd04e100 start 255 [1/0 us]
[ 1454.062000] usb 2-10: usb auto-suspend
[ 1456.073000] hub 2-0:1.0: hub_suspend
[ 1456.073000] usb usb2: usb auto-suspend
[ 1498.726000] hub 1-4:1.0: state 7 ports 4 chg 0000 evt 0002
[ 1498.731000] hub 1-4:1.0: port 1, status 0100, change 0001, 12 Mb/s
[ 1498.731000] usb 1-4.1: USB disconnect, address 7
[ 1498.731000] usb 1-4.1: unregistering device
[ 1498.731000] usb 1-4.1: usb_disable_device nuking all URBs
[ 1498.731000] ohci_hcd 0000:00:02.0: shutdown urb dfdf5bc0 pipe 40408780 ep1in-intr
[ 1499.736000] ohci_hcd 0000:00:02.0: IRQ INTR_SF lossage
[ 1499.736000] ohci_hcd 0000:00:02.0: leak ed dfddb1c0 (#81) state 0 (has tds)

After plugging the mouse back in, it still does not work. Any new usb devices will be ignored. USB seems kind of inaccessible, though other existing devices (keyboard etc) still work. lsusb command hangs silently.

I am going to try unloading ohci-hcd when the problem appears next. Boot options also remain to be tested.

The kernel ist custom built based on ubuntus linux-source-2.6.20-16.29. The only change I made was to activate verbose usb debugging messages.

This is what lsusb showed before unplugging the mouse:

Bus 002 Device 003: ID 0409:0059 NEC Corp. HighSpeed Hub
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 009: ID 06cb:0009 Synaptics, Inc. Composite TouchPad and TrackPoint
Bus 001 Device 008: ID 04b3:3018 IBM Corp. UltraNav Keyboard
Bus 001 Device 007: ID 046d:c002 Logitech, Inc. M-BA47 [MouseMan Plus]
Bus 001 Device 006: ID 04b3:3016 IBM Corp. UltraNav Keyboard Hub
Bus 001 Device 001: ID 0000:0000

David Meier (droebbel-melta) wrote :

"acpi=force irqpoll" does not help.

Unloading ohci_hcd seems to work (at least my keyboard does not respond any more), but reloading it seems to fail.
I used the following commands in a script:

modprobe -r ohci_hcd
modprobe ohci_hcd
modprobe usbhid

Note that unloading and loading back ohci_hcd worked in Edgy but
stopped working in Feisty.

toutatis (bijbelenos) wrote :

Got the same problem on a Toshiba Satellite Pro A100 with Feisty. I'll try Davids solution when it occurs again.
This bug looks related to bug #43305.

Roel

Famine (avtguy) wrote :

This is still an issue on a fresh Feisty AMD 64 install under KDE running the 2.6.20-16 kernel. I have swapped to a PS2 mouse, and that seems to have fixed the problem. I can confirm that:

After some period of time (minutes to hours) a logitech USB mouse stops working. (Light out)
Replugging does not fix the problem, nor can another mouse be added. All USB ports are dead. This includes both front and back ports.

System responds normally to keyboard commands, and retains responsiveness.

System hangs on reboot.

With multiple USB mice (one front one back) one will freeze up, then some time later the second will freeze as the rest of the USB ports die.

Removing the USB mouse before boot seems to fix the problem.

mister_lake (michael-lake) wrote :

I'm also getting the same problem when I didn't used to in edgy.

I've got a normal mouse plugged in as well as an IBM USB keyboard with ultranav(trackpoint and touchpad).

the regular mouse always works.

the touchpad always works.

the trackpoint (the one I care about the most) will stop working after some period of inactivity(usually within minutes).

at that point I have to issue:

sudo rmmod uhci_hcd
sudo modprobe uhci_hcd

-it seems like the more I enter those commands, the shorter time my trackpoint has to live.

curVV (curvv) wrote :

Same problem here.. I'm running Ubuntu 7.04 on Toshiba Satellite notebook. Any word on a fix yet? It's been 5 months since the first post regarding this bug. Really annoying...

I had the same problem on :
MainBoard ASUSTeK P5N-E
Logitech MX900

In the BIOS settings, i tried to deactivate ths USB mouse and keyboard support and it seems to solve the problem.
No problem since a whole week (it was several times a day before).

Still praying...

draKe.

curVV (curvv) wrote :

I also tried that and disabled usb legacy devices as well, no joy...

mister_lake (michael-lake) wrote :

it seems that if I do use my trackpoint all the time, it will keep working. if I stop using it for little more than a few minutes it falls into a grey area where if I try to move it, initially it won't move the cursor, but give it another second or two and it becomes "unstuck".

when this occurs, I get the following in dmesg: (one line means one attempt to move the cursor, but it was "held up" for a second or so)

[ 478.072643] usb 5-2.4: reset low speed USB device using uhci_hcd and address 5
[ 478.660006] usb 5-2.4: reset low speed USB device using uhci_hcd and address 5
[ 936.512498] usb 5-2.4: reset low speed USB device using uhci_hcd and address 5
[ 937.099857] usb 5-2.4: reset low speed USB device using uhci_hcd and address 5
[ 990.042979] usb 5-2.4: reset low speed USB device using uhci_hcd and address 5
[ 990.638328] usb 5-2.4: reset low speed USB device using uhci_hcd and address 5
[ 1106.304890] usb 5-2.4: reset low speed USB device using uhci_hcd and address 5
[ 1106.892246] usb 5-2.4: reset low speed USB device using uhci_hcd and address 5

 but sometimes the cursor really is frozen and doesn't want to move with the trackpoint. on those occasions the dmesg has no log

Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue that you reported is one that should be reproducable with the live environment of the Desktop CD of the development release - Gutsy Gibbon. It would help us greatly if you could test with it so we can work on getting it fixed in the actively developed kernel. You can find out more about the development release at http://www.ubuntu.com/testing/ . Thanks again and we appreciate your help.

Changed in linux-source-2.6.20:
assignee: ubuntu-kernel-usb → brian-murray
status: Confirmed → Incomplete
coffeemug (coffeemug) wrote :

Brian Murray <email address hidden> writes:

> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. The issue that you reported is one that should be
> reproducable with the live environment of the Desktop CD of the
> development release - Gutsy Gibbon. It would help us greatly if you
> could test with it so we can work on getting it fixed in the actively
> developed kernel. You can find out more about the development release
> at http://www.ubuntu.com/testing/ . Thanks again and we appreciate your
> help.
Brian,

I'd like to help. I'll set up a test environment on my machine in the
near future. I'd rather submit a patch than a bug report but kernel
hacking is not my home turf. This seems like a good opportunity to
jump in so I'll give it a try.

--
Regards,
Slava Akhmechet.

Josh Black (joshblack24) wrote :

I can confirm that this is still a problem w/ the live environment of the Tribe 5 release of Gutsy Gibbon.

MainBoard ASUSTeK P5N-E
Logitech MX3200 USB Mouse

photek (jccelaya) wrote :

Well, i'm using ubuntu feisty with kernel from ubuntu gutsy gibbon, 2.6.22-9, and the bug is still there. I can say i don't have to plug it in another usb tho, unplugging and plugging again on the same has always worked.

More important, this bug didn't exist in ubuntu edgy and dapper.

Regards,

dixonstalbert (dixonjnk) wrote :

I started experiencing random usb mouse being reset since fresh install feisty 2 weeks ago. 2.6.20-16-generic kernel

from kern.log while using firefox and computer having been on for 4 hours
Sep 3 08:02:54 athlon kernel: [21749.220877] usb 4-1.3: reset low speed USB device using ehci_hcd and address 3
Sep 3 08:02:54 athlon kernel: [21749.480658] usb 4-1.3: device descriptor read/64, error -32

The resets occur only once every few hours and my mouse works again if I unplug/ replug it in.

The only thing in the system logs that occurs just before the freeze ups -sometimes- is cron trying to run ubuntuzilla.py. I uninstalled ubuntuzilla but I guess I will have to manually delete cronjob.

Can anyone else relate freeze ups to Ubuntuzilla or Cron?

I do have exotic USB hardware- a hauupauge usbtv and a micosoft wireless usb plugged into a belkin hub, but ran same hardware with Dapper for one year without a problem. I tried eliminating the hub and plugging mouse and usbtv directly into motherboard usb ports. Resets occurred much less frequently, but it was a real nuisance to climb under my desk and unplug/re-plug usb mouse from back of cpu, so i started using hub again.

I have attached text file of lsusb, kern.log dmesg , debug of lines relating to last freezing.

Josh Black (joshblack24) wrote :
Download full text (31.4 KiB)

2.6.20-16-generic kernel. The mouse is attached directly.

lsusb after mouse fails:
Bus 002 Device 004: ID 1058:0404 Western Digital Technologies, Inc.
Bus 002 Device 003: ID 1058:0900 Western Digital Technologies, Inc.
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 002: ID 046d:c517 Logitech, Inc.
Bus 001 Device 001: ID 0000:0000

dmesg after mouse fails:
[ 0.000000] Linux version 2.6.20-16-generic (root@terranova) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Fri Aug 31 00:55:27 UTC 2007 (Ubuntu 2.6.20-16.31-generic)
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] sanitize start
[ 0.000000] sanitize end
[ 0.000000] copy_e820_map() start: 0000000000000000 size: 000000000009f000 end: 000000000009f000 type: 1
[ 0.000000] copy_e820_map() type is E820_RAM
[ 0.000000] copy_e820_map() start: 000000000009f000 size: 0000000000001000 end: 00000000000a0000 type: 2
[ 0.000000] copy_e820_map() start: 00000000000f0000 size: 0000000000010000 end: 0000000000100000 type: 2
[ 0.000000] copy_e820_map() start: 0000000000100000 size: 000000007fdf0000 end: 000000007fef0000 type: 1
[ 0.000000] copy_e820_map() type is E820_RAM
[ 0.000000] copy_e820_map() start: 000000007fef0000 size: 0000000000003000 end: 000000007fef3000 type: 4
[ 0.000000] copy_e820_map() start: 000000007fef3000 size: 000000000000d000 end: 000000007ff00000 type: 3
[ 0.000000] copy_e820_map() start: 00000000f0000000 size: 0000000002000000 end: 00000000f2000000 type: 2
[ 0.000000] copy_e820_map() start: 00000000fec00000 size: 0000000001400000 end: 0000000100000000 type: 2
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
[ 0.000000] BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000007fef0000 (usable)
[ 0.000000] BIOS-e820: 000000007fef0000 - 000000007fef3000 (ACPI NVS)
[ 0.000000] BIOS-e820: 000000007fef3000 - 000000007ff00000 (ACPI data)
[ 0.000000] BIOS-e820: 00000000f0000000 - 00000000f2000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
[ 0.000000] 1150MB HIGHMEM available.
[ 0.000000] 896MB LOWMEM available.
[ 0.000000] found SMP MP-table at 000f5b50
[ 0.000000] Entering add_active_range(0, 0, 524016) 0 entries of 256 used
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0 -> 4096
[ 0.000000] Normal 4096 -> 229376
[ 0.000000] HighMem 229376 -> 524016
[ 0.000000] early_node_map[1] active PFN ranges
[ 0.000000] 0: 0 -> 524016
[ 0.000000] On node 0 totalpages: 524016
[ 0.000000] DMA zone: 32 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 4064 pages, LIFO batch:0
[ 0.000000] Normal zone: 1760 pages used for memmap
[ 0.000000] Normal zone: 223520 pages, LIFO batch:31
[ 0.000000] HighMem zone: 2301 pages used for memmap
[ 0.000000] HighMem zone: 292339 pages, LIFO batch:31
[ 0.000000] DMI 2.4 present.
[ 0.000000] ACPI: RSDP (v002 Nvidia ) @ 0x00...

Brian Murray (brian-murray) wrote :

The output of 'dmesg' from someone running the 2.6.22 kernel would be helpful. Thanks in advance.

Changed in linux-source-2.6.20:
assignee: brian-murray → ubuntu-kernel-team
status: Incomplete → Triaged
Changed in linux-source-2.6.22:
assignee: nobody → brian-murray
status: New → Incomplete
mister_lake (michael-lake) wrote :

I have:
live cd of gutsy gibbon, using 2.6.22-9-generic
one normal USB mouse (plugged into computer directly), working normally
one IBM USB ultranav keyboard with touchpad and touchstick, the touchpad is working, the touchstick is not

ubuntu@ubuntu:~$ lsusb
Bus 003 Device 001: ID 0000:0000
Bus 004 Device 002: ID 045e:0040 Microsoft Corp. Wheel Mouse Optical
Bus 004 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 005 Device 004: ID 06cb:0009 Synaptics, Inc. Composite TouchPad and TrackPoint
Bus 005 Device 003: ID 04b3:3019 IBM Corp.
Bus 005 Device 002: ID 04b3:3016 IBM Corp. UltraNav Keyboard Hub
Bus 005 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000

attached is my full dmesg. the touchstick didn't seem to work at all on startup

Josh Black (joshblack24) wrote :
Download full text (52.9 KiB)

Here's the dmesg after my USB mouse freeze from the Gutsy Live CD. This mouse is plugged directly.

[ 0.000000] Linux version 2.6.22-8-generic (buildd@palmer) (gcc version 4.1.3 20070629 (prerelease) (Ubuntu 4.1.2-13ubuntu2)) #1 SMP Thu Jul 12 15:59:45 GMT 2007
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
[ 0.000000] BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000007fef0000 (usable)
[ 0.000000] BIOS-e820: 000000007fef0000 - 000000007fef3000 (ACPI NVS)
[ 0.000000] BIOS-e820: 000000007fef3000 - 000000007ff00000 (ACPI data)
[ 0.000000] BIOS-e820: 00000000f0000000 - 00000000f2000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
[ 0.000000] 1150MB HIGHMEM available.
[ 0.000000] 896MB LOWMEM available.
[ 0.000000] found SMP MP-table at 000f5b50
[ 0.000000] Entering add_active_range(0, 0, 524016) 0 entries of 256 used
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0 -> 4096
[ 0.000000] Normal 4096 -> 229376
[ 0.000000] HighMem 229376 -> 524016
[ 0.000000] early_node_map[1] active PFN ranges
[ 0.000000] 0: 0 -> 524016
[ 0.000000] On node 0 totalpages: 524016
[ 0.000000] DMA zone: 32 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 4064 pages, LIFO batch:0
[ 0.000000] Normal zone: 1760 pages used for memmap
[ 0.000000] Normal zone: 223520 pages, LIFO batch:31
[ 0.000000] HighMem zone: 2301 pages used for memmap
[ 0.000000] HighMem zone: 292339 pages, LIFO batch:31
[ 0.000000] DMI 2.4 present.
[ 0.000000] ACPI: RSDP 000F75D0, 0024 (r2 Nvidia)
[ 0.000000] ACPI: XSDT 7FEF30C0, 0054 (r1 Nvidia ASUSACPI 42302E31 AWRD 0)
[ 0.000000] ACPI: FACP 7FEF9640, 00F4 (r3 Nvidia ASUSACPI 42302E31 AWRD 0)
[ 0.000000] ACPI: DSDT 7FEF3240, 63B3 (r1 NVIDIA ASUSACPI 1000 MSFT 3000000)
[ 0.000000] ACPI: FACS 7FEF0000, 0040
[ 0.000000] ACPI: HPET 7FEF9880, 0038 (r1 Nvidia ASUSACPI 42302E31 AWRD 98)
[ 0.000000] ACPI: MCFG 7FEF9900, 003C (r1 Nvidia ASUSACPI 42302E31 AWRD 0)
[ 0.000000] ACPI: APIC 7FEF9780, 0098 (r1 Nvidia ASUSACPI 42302E31 AWRD 0)
[ 0.000000] ACPI: SSDT 7FEF9980, 015C (r1 Nvidia ASUSACPI 42302E31 AWRD 0)
[ 0.000000] ACPI: SSDT 7FEF9E10, 0275 (r1 Nvidia ASUSACPI 42302E31 AWRD 0)
[ 0.000000] ACPI: PM-Timer IO Port: 0x1008
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[ 0.000000] Processor #0 6:15 APIC version 20
[ 0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
[ 0.000000] Processor #1 6:15 APIC version 20
[ 0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x02] disabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x03] lapic_id[0x03] disabled)
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[ ...

Changed in linux-source-2.6.20:
status: Triaged → Won't Fix
Changed in linux-source-2.6.22:
importance: Undecided → Low
Changed in linux-source-2.6.22:
assignee: brian-murray → ubuntu-kernel-team
status: Incomplete → Triaged
importance: Low → Medium
Changed in linux-source-2.6.22 (Ubuntu):
status: Triaged → Won't Fix
Changed in linux (Ubuntu):
status: New → Incomplete
68 comments hidden view all 148 comments
Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
Jeremy Foshee (jeremyfoshee) wrote :

Hi Luis,

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/lucid.

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 84762

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: ALC662 rev1 Analog [ALC662 rev1 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: ALC662 rev1 Analog [ALC662 rev1 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: shevin 1890 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xfbef8000 irq 22'
   Mixer name : 'Realtek ALC662 rev1'
   Components : 'HDA:10ec0662,103c2a99,00100101'
   Controls : 19
   Simple ctrls : 12
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: Compaq-Presario AY030AA-ABA CQ5320F
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-20-generic root=UUID=1267a574-5460-4d3a-8621-f084ba89f9e7 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-20.58-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-20-generic N/A
 linux-firmware 1.26
RfKill:

Uname: Linux 2.6.31-20-generic x86_64
UserGroups: adm admin cdrom dialout lp lpadmin plugdev sambashare
dmi.bios.date: 11/06/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 5.15
dmi.board.name: Narra6
dmi.board.vendor: PEGATRON CORPORATION
dmi.board.version: 6.01
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr5.15:bd11/06/2009:svnCompaq-Presario:pnAY030AA-ABACQ5320F:pvr:rvnPEGATRONCORPORATION:rnNarra6:rvr6.01:cvnHewlett-Packard:ct3:cvrChassisVersion:
dmi.product.name: AY030AA-ABA CQ5320F
dmi.sys.vendor: Compaq-Presario

Changed in linux (Ubuntu):
status: Incomplete → New

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: ALC662 rev1 Analog [ALC662 rev1 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: ALC662 rev1 Analog [ALC662 rev1 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: shevin 1890 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xfbef8000 irq 22'
   Mixer name : 'Realtek ALC662 rev1'
   Components : 'HDA:10ec0662,103c2a99,00100101'
   Controls : 19
   Simple ctrls : 12
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: Compaq-Presario AY030AA-ABA CQ5320F
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-20-generic root=UUID=1267a574-5460-4d3a-8621-f084ba89f9e7 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-20.58-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-20-generic N/A
 linux-firmware 1.26
RfKill:

Uname: Linux 2.6.31-20-generic x86_64
UserGroups: adm admin cdrom dialout lp lpadmin plugdev sambashare
dmi.bios.date: 11/06/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 5.15
dmi.board.name: Narra6
dmi.board.vendor: PEGATRON CORPORATION
dmi.board.version: 6.01
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr5.15:bd11/06/2009:svnCompaq-Presario:pnAY030AA-ABACQ5320F:pvr:rvnPEGATRONCORPORATION:rnNarra6:rvr6.01:cvnHewlett-Packard:ct3:cvrChassisVersion:
dmi.product.name: AY030AA-ABA CQ5320F
dmi.sys.vendor: Compaq-Presario

Will (justapit) wrote :

I've had problems with intermittent loss of input and power to a Logitech USB mouse with Ubuntu 9.10. I tried possible solutions suggested here and some elsewhere without joy. I finally tried to reduce electrical interference sheerly as a last resort because I thought this would be the least likely problem. Simply moving my mouse cord away from my CRT monitor and placing aluminum foil between my mouse cord and monitor provided a solution to this annoying problem. The problem has been resolved for 1 week now, no other solution suggestions helped. To verify, I duplicated my previous setup and the problem returned.

I first undid all the other changes I had applied and verified the problem still existed. No updates or other software/hardware changes occured between my solution and problem verification. I first started noticing the problem when I changed a CRT monitor location (but did not realize the connection at first, all hindsight), the mouse cord had been placed behind and around the back of the CRT monitor.

I'm not sure this will solve everyone's problem, there's a lot of potential EMI sources, but certainly worth some further testing.

lskbr (nilo-menezes) wrote :

Hi, I just installed Ubuntu 10.04 (clean install) and this bug still there.

Mouse works fine, but stops later at random time.

I tried to plug another USB mouse after the failure and it starts working right away on X.
Few minutes later, the second USB mouse is dead too. Plugging and unplugging previously connected mice did not solve the problem (even on different ports). I need a new mouse plugged in to have it working. It looks this problem causes a registered device to stop working, but USB/X subsystems continue to work fine.

This bug seems to be closely related to CPU scaling/energy saving issues. I saw it happens more often when I can hear an increase on my CPU fan speed. It looks like I got this bug when I have cpu scaling + mouse movement at the same time.

I'm waiting a new PCI-USB card to test with it. I will report as soon as I receive it.
My kids want to know why linux freezes when XP runs fine (I have both installed on the same machine) :-(

lskbr (nilo-menezes) wrote :
Download full text (5.8 KiB)

Hi, I just installed the new VIA USB-PCI card (7€ solution at Amazon).
I'm using the same pc, same mouse, etc. Just added the new USB-PCI and plugged my mouse on it.
So far so good. I'm using Ubuntu 10.04.

uname -a
Linux nilo-desktop 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:10:02 UTC 2010 i686 GNU/Linux

lspci
00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a2)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a2)
00:0a.2 RAM memory: nVidia Corporation MCP51 Memory Controller 0 (rev a2)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a2)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a2)
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev a1)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:0f.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.2 Multimedia audio controller: nVidia Corporation MCP51 AC97 Audio Controller (rev a2)
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a1)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
02:00.0 VGA compatible controller: ATI Technologies Inc RV730XT [Radeon HD 4670]
02:00.1 Audio device: ATI Technologies Inc RV710/730
03:06.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)
03:07.0 Multimedia controller: Philips Semiconductors SAA7131/SAA7133/SAA7135 Video Broadcast Decoder (rev 91)
03:09.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 62)
03:09.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 62)
03:09.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 65)

lsusb:
Bus 005 Device 002: ID 046d:c016 Logitech, Inc. M-UV69a/HP M-UV96 Optical Wheel Mouse
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 147a:e00d Formosa Industrial Computing, Inc.
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 00...

Read more...

Brad Figg (brad-figg) on 2011-05-04
tags: added: b73a1py79
Brad Figg (brad-figg) wrote :

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in supported series, ple
ase file a new bug.

Changed in linux (Ubuntu):
status: New → Won't Fix
Brad Figg (brad-figg) on 2011-05-04
tags: removed: b73a1py79
Displaying first 40 and last 40 comments. View all 148 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments